#ifndef FZ_STRRESULT_HPP
#define FZ_STRRESULT_HPP

#ifdef FZ_WINDOWS
#	include <winerror.h>
#else
#	include <cerrno>
#endif

#include <libfilezilla/fsresult.hpp>

namespace fz {

std::string_view strresult(result r);

}

#ifdef FZ_RESULT_RAW
#	error "FZ_RESULT_RAW already defined"
#else
#	ifdef FZ_WINDOWS
#		define FZ_RESULT_RAW(win, nix) win
#		define FZ_RESULT_RAW_CASE_WIN(win) case win:
#		define FZ_RESULT_RAW_CASE_NIX(nix)
#	else
#		define FZ_RESULT_RAW(win, nix) nix
#		define FZ_RESULT_RAW_CASE_WIN(win)
#		define FZ_RESULT_RAW_CASE_NIX(nix) case nix:
#	endif
#endif

#endif // FZ_STRRESULT_HPP
